<?php get_header(); ?>

<section class="section">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  
  <article class="article">
  
    <div class="post-text">
      <div class="post-date"><?php the_time(__('j')) ?><br /><?php the_time(__('M')) ?></div>
      <h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to'); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
      <div class="post-meta">Posted in <?php the_category(', ') ?> | <?php comments_popup_link(__('0 comment'), __('1 Comment'), __('% Comments')); ?></div>
    </div>
    
    <?php the_content(); ?>

    <?php wp_link_pages(array('before' => '<p class="page-pagination"><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

    <footer class="post-footer">
      <?php the_tags( '<p><strong>Tagging:</strong> ', ', ', '</p>'); ?>
      <ul class="post-info-meta">
        <li><a href="http://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink() ?>" data-count="none">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script></li>
        <li>
          <div id="fb-root"></div>
          <script>(function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) {return;}
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
            fjs.parentNode.insertBefore(js, fjs);
          }(document, 'script', 'facebook-jssdk'));</script>
          <div class="fb-like" data-href="<?php the_permalink() ?>" data-send="false" data-layout="button_count" data-width="80" data-show-faces="true"></div>
        </li>
      </ul>
      <ul class="footer-navi">
        <?php previous_post_link(__('<li class="previous">&laquo; %link</li>')); ?>
        <?php next_post_link(__('<li class="next">%link &raquo;</li>')); ?>
      </ul>
    </footer><!-- .post-footer -->

  <?php comments_template('/comments.php',true); ?>

  </article><!-- END .article -->

  <?php endwhile; else: include('none.php'); endif; ?>

</section><!-- END .section -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>