<?php get_header(); ?>

<section class="section">

  <article class="article">

    <div class="post-text">
      <h2 class="post-title"><?php _e('Error 404 - Not Found'); ?></h2>
    </div>
    
    <?php get_search_form();?>
    
    <div class="left">
      <h3><?php _e('Archives by month:'); ?></h3>
      <ul>
        <?php wp_get_archives('type=monthly'); ?>
      </ul>
    </div>
       
    <div class="right">
      <h3><?php _e('Archives by category:'); ?></h3>
      <ul>
        <?php wp_list_cats('sort_column=name'); ?>
      </ul>
    </div>

    <div class="clearfix">&nbsp;</div>

  </article><!-- .article -->

</section><!-- .section -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>