<!DOCTYPE html>
<!--[if IE 6]><html id="ie6" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 7]><html id="ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html id="ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!--><html <?php language_attributes(); ?>><!--<![endif]-->
<!--
      _            _     __      _____ 
  ___(_)_ __  _ __| |_  _\ \    / / _ \
 (_-<| | '  \| '_ \ | || |\ \/\/ /|  _/
 /__/|_|_|_|_| .__/_|\_, | \_/\_/ |_|  
             |_|     |__/
-->
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title(''); ?><?php if( wp_title('', false) ) { echo ' &ndash; '; } ?> <?php bloginfo('name'); ?> &ndash; <?php bloginfo('description'); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.gif" />
<link href="<?php bloginfo('stylesheet_url'); ?>" media="screen" type="text/css" rel="stylesheet" />
<link href="<?php bloginfo('template_url'); ?>/styles/common.css?<?php echo date('l jS \of F Y h:i:s A'); ?>" media="screen and (min-width: 1001px)" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('template_url'); ?>/js/uniform.css" media="screen" type="text/css" rel="stylesheet" />
<link href="http://fonts.googleapis.com/css?family=Lobster+Two|Coustard" type="text/css" rel="stylesheet" />
<?php if (is_singular() && get_option('thread_comments')) wp_enqueue_script('comment-reply'); wp_head(); ?>
<?php wp_enqueue_script("jquery"); ?>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.mediaqueries.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/uniform/uniform.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/cufon.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/novecento.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jqueryslidemenu.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/corner.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/tooltip.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/swfobject.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/scripts.js"></script>
<!--[if lt IE 7]><script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE7.js"></script><![endif]-->
<!--[if lt IE 8]><script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE8.js"></script><![endif]-->
<!--[if lt IE 9]><script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
</head>
<body>

<nav class="nav">
<div class="nav-inner">

  <?php if (function_exists('wp_nav_menu') ) { wp_nav_menu('theme_location=top_menu&container_class=menu&show_home=1'); } else {?>
  <ul>
    <?php wp_list_pages('title_li='); ?>
  </ul>
  <?php } ?>

  <form class="header-form" method="get" action="<?php bloginfo('siteurl'); ?>">
    <fieldset>
      <input type="text" name="s" class="header-text" size="15" title="<?php _e('Search...'); ?>" />
      <input type="submit" class="header-button" value="<?php _e('Search'); ?>" />
    </fieldset>
  </form>

</div>
</nav>

<div class="container">

<header class="header">

  <?php if( is_home() || is_front_page() ) { ?>
    <h1><a href="<?php echo get_option('home'); ?>" class="header-title"><?php bloginfo('name'); ?></a></h1>
  <?php } else { ?>
    <h5><a href="<?php echo get_option('home'); ?>" class="header-title"><?php bloginfo('name'); ?></a></h5>
  <?php } ?>
    <div class="header-desc"><?php bloginfo('description'); ?></div>

</header><!-- .header -->